org.apache.maven.scm.provider.local

## Class LocalScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.local.LocalScmProvider

All Implemented Interfaces:
  ScmProvider

    public class LocalScmProvider
    extends AbstractScmProvider

Version:
  $Id: LocalScmProvider.java 774947 2009-05-14 22:06:25Z olamy $
Author:
  Trygve Laugstøl, Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`LocalScmProvider()`

### Method Summary

Methods
`AddScmResult` `add(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected ChangeLogScmResult` `changelog(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckInScmResult` `checkin(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckOutScmResult` `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`static String` `fixModuleName(String module)`
`String` `getScmType()`
`protected ListScmResult` `list(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)` List each element (files and directories) of fileSet as they exist in the repository.
`ScmProviderRepository` `makeProviderScmRepository(String scmSpecificUrl, char delimiter)`
`StatusScmResult` `status(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`TagScmResult` `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`UpdateScmResult` `update(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, addListener, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, diff, edit, edit, export, export, export, export, export, export, getLogger, getScmSpecificFilename, list, list, login, makeProviderScmRepository, remove, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalScmProvider

    public LocalScmProvider()

### Method Detail

#### getScmType

    public String getScmType()

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(String scmSpecificUrl,
                                                  char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### fixModuleName

    public static String fixModuleName(String module)

#### status

    public StatusScmResult status(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    public TagScmResult tag(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                     throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### add

    public AddScmResult add(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                     throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### changelog

    protected ChangeLogScmResult changelog(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                    throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    public CheckInScmResult checkin(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    public CheckOutScmResult checkout(ScmProviderRepository repository,
                             ScmFileSet fileSet,
                             CommandParameters parameters)
                               throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### list

    protected ListScmResult list(ScmProviderRepository repository,
                     ScmFileSet fileSet,
                     CommandParameters parameters)
                          throws ScmException

List each element (files and directories) of fileSet as they exist in the repository.

Overrides:
  `list` in class `AbstractScmProvider`
Parameters:
  `repository` - the source control system
  `fileSet` - the files to list
Returns:
  The list of files in the repository
Throws:
  `NoSuchCommandScmException` - unless overriden by subclass
  `ScmException` - if any

#### update

    public UpdateScmResult update(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`